Just a heads up if you’re using Jekyll, WordPress import does actually work but it is mildly tricky. Install the jekyll-import gem and it will work bt ryou need to instal a handfull of other gems for it to work. This was first identified back in 2013 and its apparently still an issue. Once you work thru it though, I can confirm that it does work quite well.